Package groovy.lang

# Class IllegalPropertyAccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.lang.MissingPropertyException
groovy.lang.IllegalPropertyAccessException

All Implemented Interfaces:
  `Serializable`

public class IllegalPropertyAccessException extends MissingPropertyException
An exception occurred if a dynamic property dispatch fails with a field not accessible.

Author:
  Jochen Theodorou
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class groovy.lang.MissingPropertyException

`MPE`

## Constructor Summary

Constructors
Constructor
Description
`IllegalPropertyAccessException(Field field, Class clazz)`
`IllegalPropertyAccessException(String propertyName, Class clazz, int modifiers)`

## Method Summary

### Methods inherited from class groovy.lang.MissingPropertyException

`getMessageWithoutLocationText, getProperty, getType`

### Methods inherited from class groovy.lang.GroovyRuntimeException

`getLocationText, getMessage, getModule, getNode, setModule`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalPropertyAccessException

public IllegalPropertyAccessException(String propertyName, Class clazz, int modifiers)

### IllegalPropertyAccessException

public IllegalPropertyAccessException(Field field, Class clazz)